summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers/die
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ebuild-helpers/die')
-rwxr-xr-xbin/ebuild-helpers/die12
1 files changed, 12 insertions, 0 deletions
diff --git a/bin/ebuild-helpers/die b/bin/ebuild-helpers/die
new file mode 100755
index 000000000..e871bd9fe
--- /dev/null
+++ b/bin/ebuild-helpers/die
@@ -0,0 +1,12 @@
+#!/bin/bash
+# Copyright 2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# TODO: Eliminate race condition in signal delivery by using pipe or socket
+# IPC to guarantee that the ebuild process and all of its children (including
+# this helper) are killed immediately, ensuring that "false success" is
+# impossible.
+source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
+die "$@"
+exit 1